POST api/v1/bvrc/staff
Create user account with the role 'BVRC Skills Bank'
Request Information
URI Parameters
None.
Body Parameters
StaffCreationModel| Name | Description | Type | Additional information |
|---|---|---|---|
| FirstName | string |
Required |
|
| LastName | string |
Required |
|
| EmailAddress | string |
Required Data type: EmailAddress |
|
| AgencyId | integer |
Required |
|
| ContactId | integer |
None. |
|
| Roles | Collection of string |
None. |
Request Formats
application/json, text/json, text/html
Sample:
{
"firstName": "sample string 1",
"lastName": "sample string 2",
"emailAddress": "sample string 3",
"agencyId": 4,
"contactId": 1,
"roles": [
"sample string 1",
"sample string 2"
]
}
application/xml, text/xml
Sample:
<StaffCreationModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/VOL.API.Areas.BVRC.Common.Models">
<AgencyId>4</AgencyId>
<ContactId>1</ContactId>
<EmailAddress>sample string 3</EmailAddress>
<FirstName>sample string 1</FirstName>
<LastName>sample string 2</LastName>
<Roles xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:string>sample string 1</d2p1:string>
<d2p1:string>sample string 2</d2p1:string>
</Roles>
</StaffCreationModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |